Subject: xfrm command fails

From: Naveen BN <[email-masked]>
Date: Wed, 11 Nov 2009 10:58:00 +0530

Hi All
I am trying to create a security association using ip xfrm command, but 
i get an message saying
"*RTNETLINK answers: Function not implemented*" and ip xfrm state 
succeeds in displaying  sa  written using setkey .

ip xfrm state add src 192.168.1.20 dst 192.168.1.5 proto esp spi 
0x354cb04b mode tunnel reqid 16385 replay-window 32 auth hmac 
0xecf02a5cf6568556e1bdcd961c7ec3f92afd01cc enc cbc 
0x5c0cfa9672ce67ba545b593076dfb278 sel src 0.0.0.0/0 dst 0.0.0.0/0

ERROR message => "RTNETLINK answers: Function not implemented"

Regards
Naveen